#!/bin/bash

set -e
set -x

cd x264
./configure --enable-shared --enable-static --prefix=/usr
make

checkinstall --pkgname=x264 --pkgversion="$(date +%Y%m%d%H%M)-git" --backup=no --deldoc=yes --fstrans=no --default

mv *.deb ../debs

rm -f description-pak
cd -
